"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minifyCSSInScript = void 0;
const encodeString_1 = require("../util/encodeString");
exports.minifyCSSInScript = (script, cssRanges, identifier) => {
    let minified = script;
    for (let index = cssRanges.length; index--;) {
        const range = cssRanges[index];
        minified = [
            minified.slice(0, range.start),
            JSON.stringify(encodeString_1.encodeString(range.css, identifier)),
            minified.slice(range.end),
        ].join('');
    }
    return minified;
};