"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMatchedImport = void 0;
const normalizePath_1 = require("../util/normalizePath");
exports.getMatchedImport = (value, imports) => {
    const normalized = normalizePath_1.normalizePath(value);
    for (const [name, from] of imports) {
        if (normalized.startsWith(name)) {
            return { key: normalized.slice(name.length), from };
        }
    }
    return null;
};