"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugin = exports.pluginName = void 0;
const postcss = require("postcss");
const getPluginConfiguration_1 = require("./getPluginConfiguration");
const createTransformer_1 = require("./createTransformer");
exports.pluginName = 'esifycss';
exports.plugin = postcss.plugin(exports.pluginName, (parameters) => {
    const transform = createTransformer_1.createTransformer(getPluginConfiguration_1.getPluginConfiguration(parameters));
    return async (root, result) => {
        result.warn(JSON.stringify(await transform(root, result)));
    };
});