"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTemporaryDirectory = void 0;
const path = require("path");
const os = require("os");
const fs_1 = require("./fs");
exports.createTemporaryDirectory = async (prefix = '') => {
    const pathPrefix = path.join(os.tmpdir(), prefix || 'node-tmp-');
    const createdTemporaryDirectory = await fs_1.mkdtemp(pathPrefix);
    return createdTemporaryDirectory;
};