/// <reference types="node" />
import * as fs from 'fs';
import * as stream from 'stream';
export declare const readdir: typeof fs.readdir.__promisify__;
export declare const mkdtemp: typeof fs.mkdtemp.__promisify__;
export declare const mkdir: typeof fs.mkdir.__promisify__;
export declare const readFile: typeof fs.readFile.__promisify__;
export declare const stat: typeof fs.stat.__promisify__;
export declare const unlink: typeof fs.unlink.__promisify__;
export declare const rmdir: typeof fs.rmdir.__promisify__;
export declare const copyFile: typeof fs.copyFile.__promisify__;
export declare const writeFile: (dest: string, data: string | Buffer, stdout?: stream.Writable) => Promise<void>;
export declare const deleteFile: (filePath: string, stdout?: stream.Writable) => Promise<void>;
