"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.write = void 0;
const util = require("util");
exports.write = (stream, messages, inspectOptions = {}) => {
    for (const message of messages) {
        stream.write(`${typeof message === 'string' ? message : util.inspect(message, inspectOptions)}\n`);
    }
};