"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtensionOption = void 0;
const path = require("path");
exports.getExtensionOption = (parameters, output) => {
    let { ext } = parameters;
    if (!ext) {
        if (output.type === 'script') {
            ext = path.extname(output.path);
        }
        if (!ext) {
            ext = '.js';
        }
    }
    return ext;
};