"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCSS = void 0;
const postcss = require("postcss");
const getCSSParserConfiguration_1 = require("./getCSSParserConfiguration");
exports.parseCSS = async (parameters) => {
    const config = await getCSSParserConfiguration_1.getCSSParserConfiguration(parameters);
    return await postcss(config.plugins).process(config.css, config.options);
};