"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDirectoryFor = void 0;
const fs = require("fs");
const path = require("path");
exports.createDirectoryFor = (filePath) => {
    const directory = path.dirname(filePath);
    try {
        fs.readdirSync(directory);
    }
    catch (err) {
        exports.createDirectoryFor(directory);
        try {
            fs.mkdirSync(directory);
        }
        catch (err2) {
            if (err2.code !== 'EEXIST') {
                throw err2;
            }
        }
    }
    return directory;
};