"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExposedPromise = void 0;
exports.createExposedPromise = () => {
    let resolve = null;
    let reject = null;
    const promise = new Promise((res, rej) => {
        resolve = res;
        reject = rej;
    });
    if (resolve && reject) {
        return { promise, resolve, reject };
    }
    throw new Error('NoResolver');
};