/// <reference types="node" />
import { Hash, HexBase64Latin1Encoding } from 'crypto';
export interface IHashOptions {
    algorithm: string;
    encoding: HexBase64Latin1Encoding | 'safe-base64' | typeof Buffer;
}
export declare const getHash: (data: Parameters<Hash['update']>[0], { algorithm, encoding }?: IHashOptions) => string | Buffer;
